/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package SWSInteraction;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Viewpoint</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsPlan <em>Contains Plan</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsSSRegisterPlan <em>Contains SS Register Plan</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsSSFinderPlan <em>Contains SS Finder Plan</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsSSAgreementPlan <em>Contains SS Agreement Plan</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsExecutorPlan <em>Contains Executor Plan</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsSWAgent <em>Contains SW Agent</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsSSMatchmakerAgent <em>Contains SS Matchmaker Agent</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsRole <em>Contains Role</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsInterface <em>Contains Interface</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsProcess <em>Contains Process</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsGrounding <em>Contains Grounding</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsInput <em>Contains Input</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsOutput <em>Contains Output</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsPrecondition <em>Contains Precondition</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsEffect <em>Contains Effect</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsWebService <em>Contains Web Service</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsSWS <em>Contains SWS</em>}</li>
 *   <li>{@link SWSInteraction.SWSInteractionViewpoint#getContainsRegistrationRole <em>Contains Registration Role</em>}</li>
 * </ul>
 * </p>
 *
 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint()
 * @model
 * @generated
 */
public interface SWSInteractionViewpoint extends EObject {
	/**
	 * Returns the value of the '<em><b>Contains Plan</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.Plan}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Plan</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Plan</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsPlan()
	 * @model containment="true"
	 * @generated
	 */
	EList<Plan> getContainsPlan();

	/**
	 * Returns the value of the '<em><b>Contains SS Register Plan</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.SS_RegisterPlan}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains SS Register Plan</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains SS Register Plan</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsSSRegisterPlan()
	 * @model containment="true"
	 * @generated
	 */
	EList<SS_RegisterPlan> getContainsSSRegisterPlan();

	/**
	 * Returns the value of the '<em><b>Contains SS Finder Plan</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.SS_FinderPlan}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains SS Finder Plan</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains SS Finder Plan</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsSSFinderPlan()
	 * @model containment="true"
	 * @generated
	 */
	EList<SS_FinderPlan> getContainsSSFinderPlan();

	/**
	 * Returns the value of the '<em><b>Contains SS Agreement Plan</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.SS_AgreementPlan}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains SS Agreement Plan</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains SS Agreement Plan</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsSSAgreementPlan()
	 * @model containment="true"
	 * @generated
	 */
	EList<SS_AgreementPlan> getContainsSSAgreementPlan();

	/**
	 * Returns the value of the '<em><b>Contains Executor Plan</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.SS_ExecutorPlan}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Executor Plan</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Executor Plan</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsExecutorPlan()
	 * @model containment="true"
	 * @generated
	 */
	EList<SS_ExecutorPlan> getContainsExecutorPlan();

	/**
	 * Returns the value of the '<em><b>Contains SW Agent</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.SemanticWebAgent}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains SW Agent</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains SW Agent</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsSWAgent()
	 * @model containment="true"
	 * @generated
	 */
	EList<SemanticWebAgent> getContainsSWAgent();

	/**
	 * Returns the value of the '<em><b>Contains SS Matchmaker Agent</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.SSMatchmakerAgent}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains SS Matchmaker Agent</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains SS Matchmaker Agent</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsSSMatchmakerAgent()
	 * @model containment="true"
	 * @generated
	 */
	EList<SSMatchmakerAgent> getContainsSSMatchmakerAgent();

	/**
	 * Returns the value of the '<em><b>Contains Role</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.Role}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Role</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Role</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsRole()
	 * @model containment="true"
	 * @generated
	 */
	EList<Role> getContainsRole();

	/**
	 * Returns the value of the '<em><b>Contains Interface</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.Interface}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Interface</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Interface</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsInterface()
	 * @model containment="true"
	 * @generated
	 */
	EList<Interface> getContainsInterface();

	/**
	 * Returns the value of the '<em><b>Contains Process</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.Process}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Process</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Process</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsProcess()
	 * @model containment="true"
	 * @generated
	 */
	EList<SWSInteraction.Process> getContainsProcess();

	/**
	 * Returns the value of the '<em><b>Contains Grounding</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.Grounding}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Grounding</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Grounding</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsGrounding()
	 * @model containment="true"
	 * @generated
	 */
	EList<Grounding> getContainsGrounding();

	/**
	 * Returns the value of the '<em><b>Contains Input</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.Input}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Input</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Input</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsInput()
	 * @model containment="true"
	 * @generated
	 */
	EList<Input> getContainsInput();

	/**
	 * Returns the value of the '<em><b>Contains Output</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.Output}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Output</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Output</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsOutput()
	 * @model containment="true"
	 * @generated
	 */
	EList<Output> getContainsOutput();

	/**
	 * Returns the value of the '<em><b>Contains Precondition</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.Precondition}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Precondition</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Precondition</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsPrecondition()
	 * @model containment="true"
	 * @generated
	 */
	EList<Precondition> getContainsPrecondition();

	/**
	 * Returns the value of the '<em><b>Contains Effect</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.Effect}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Effect</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Effect</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsEffect()
	 * @model containment="true"
	 * @generated
	 */
	EList<Effect> getContainsEffect();

	/**
	 * Returns the value of the '<em><b>Contains Web Service</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.WebService}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Web Service</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Web Service</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsWebService()
	 * @model containment="true"
	 * @generated
	 */
	EList<WebService> getContainsWebService();

	/**
	 * Returns the value of the '<em><b>Contains SWS</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.SWS}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains SWS</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains SWS</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsSWS()
	 * @model containment="true" required="true"
	 * @generated
	 */
	EList<SWS> getContainsSWS();

	/**
	 * Returns the value of the '<em><b>Contains Registration Role</b></em>' containment reference list.
	 * The list contents are of type {@link SWSInteraction.RegistrationRole}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Contains Registration Role</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Contains Registration Role</em>' containment reference list.
	 * @see SWSInteraction.SWSInteractionPackage#getSWSInteractionViewpoint_ContainsRegistrationRole()
	 * @model containment="true" required="true"
	 * @generated
	 */
	EList<RegistrationRole> getContainsRegistrationRole();

} // SWSInteractionViewpoint
